Bug 434825 - ATI Hardware Accelerated 3D not working in F9 (regression from F8)
Summary: ATI Hardware Accelerated 3D not working in F9 (regression from F8)
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Dave Airlie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-02-25 18:03 UTC by Gerald Cox
Modified: 2018-04-11 08:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-26 23:27:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg Log File as requested (34.55 KB, text/plain)
2008-02-27 02:48 UTC, Gerald Cox
no flags Details

Description Gerald Cox 2008-02-25 18:03:21 UTC
Description of problem:
Have an ATI Radeon XPRESS 200M 5955 (PCIE).  When running Stellarium receive
a message that "Your system currently is not capable of hardware accelerated
3D."  However, I was previously running F8 on this same exact machine with no
problems.  It appears that the 3D capability has somehow been "dropped" from the
driver being used in F9 or something else has occurred within F9 which is
causing this to occur.


Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.8.0-1.fc9.x86_64


How reproducible:
Launch stellarium application.


Steps to Reproduce:
1.  Launch stellarium application.
2.
3.
  
Actual results:
Receive error message mentioned in the description.

Expected results:
Application runs as it did in F8.


Additional info:

Comment 1 Gerald Cox 2008-02-26 05:46:52 UTC
Version which worked correctly in F8 was:
xorg-x11-drv-ati-6.7.197-1.fc8

Comment 2 Matěj Cepl 2008-02-26 15:40:13 UTC
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server log file (/var/log/Xorg.*.log) to the bug report as
individual uncompressed file attachment using the bugzilla file attachment link
below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 3 Gerald Cox 2008-02-27 02:48:55 UTC
Created attachment 296017 [details]
Xorg Log File as requested

Comment 4 Hans de Goede 2008-02-27 20:36:09 UTC
dri isn't working for me either with a fully up2date rawhide on my radeon 9800 pro.

Matej, a hint for future dri problems bug triaging, also ask users for the
output of glxinfo, after setting LIBGL_DEBUG=verbose, so:

[hans@localhost lbreakout2-2.6beta-7]$ export LIBGL_DEBUG=verbose
[hans@localhost lbreakout2-2.6beta-7]$ glxinfo
name of display: :0.0
libGL: XF86DRIGetClientDriverName: 5.3.0 r300 (screen 0)
libGL: OpenDriver: trying /usr/lib64/dri/r300_dri.so
libGL error: dlopen /usr/lib64/dri/r300_dri.so failed
(/usr/lib64/dri/r300_dri.so: undefined symbol: __dri2DriverInitScreen)
libGL error: unable to load driver: r300_dri.so
display: :0  screen: 0
direct rendering: No (If you want to find out why, try setting LIBGL_DEBUG=verbose)
server glx vendor string: SGI
server glx version string: 1.2
<snip>

So the problem here is that the r300_dri driver in rawhide mesa wants a symbol
named __dri2DriverInitScreen, which isn't provided by anything linked into the
running process, maybe libdrm needs an update?



Comment 5 Gerald Cox 2008-03-11 02:25:28 UTC
3D is now working for me with:
xorg-x11-drv-ati-6.8.0-3.fc9.x86_64
xorg-x11-server-common-1.4.99.901-1.20080307.fc9.x86_64
xorg-x11-server-Xorg-1.4.99.901-1.20080307.fc9.x86_64



Note You need to log in before you can comment on or make changes to this bug.